import spirecloudpowerpoint
from spirecloudpowerpoint.configuration import *

appId = "your id"
appKey = "your key"
configuration = Configuration(appId, appKey)
api= spirecloudpowerpoint.api.slides_api.SlidesApi(configuration)

fileName = "putPptSlide.pptx"
password = ""
storage = ""
inputFolder = "input"
slide_index = 1
slideDto = api.get_ppt_slide(fileName, slide_index, password=password, storage=storage, folder=inputFolder)
uriElement = spirecloudpowerpoint.models.ResourceUriElement()
uriElement.Uri = spirecloudpowerpoint.models.ResourceUri("TitleOnly")
slideDto.layout_slide = uriElement
slideDto.show_master_shapes = False
slideDto.setHeight = 900
slideDto.setWidth = 500
slideDto.setComments = "updateSlide"
slideDto.setTheme = "Test"
result = api.put_ppt_slide(fileName, slide_index, password=password, storage=storage, folder=inputFolder,slide_dto=slideDto)
print(result)
