import spirecloudpowerpoint
from spirecloudpowerpoint.configuration import *

appId = "your id"
appKey = "your key"
configuration = Configuration(appId, appKey)
api = spirecloudpowerpoint.api.properties_api.PropertiesApi(configuration)
name = "postPptSetDocumentPropertiesWithPassword_pptx.pptx"
password = "123456"
storage = ""
inputFolder = "input"
_property1 = spirecloudpowerpoint.models.DocumentProperty("Keywords", "Set document properties.", False)
_property2 = spirecloudpowerpoint.models.DocumentProperty("Author", "eiceblue", False)
_property3 = spirecloudpowerpoint.models.DocumentProperty("Company", "冰蓝", False)
_property4 = spirecloudpowerpoint.models.DocumentProperty("LastSavedBy", "123456@iCloud.com", False)
_list = []
_list.append(_property1)
_list.append(_property2)
_list.append(_property3)
_list.append(_property4)
properties = spirecloudpowerpoint.models.DocumentProperties(_list)
result = api.post_ppt_set_document_properties(name, properties=properties, password=password,
                                                           storage=storage, folder=inputFolder)
property_list = result.list
file = "../../../output/postPptSetDocumentPropertiesWithPassword_pptx.txt"
with open(file, 'w+') as fh:
    for i, v in enumerate(property_list):
        fh.writelines("index = %s,value = %s" % (i, v))
        fh.write("\n")